Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001079Frama-CPlug-in > scopepublic2012-02-03 21:562014-02-12 16:58
Reporteryakobowski 
Assigned Toyakobowski 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001079: Imprecision of 'Defs' when querying precise location
Description-------------------------
typedef struct {
  int a;
  int b;
} ts;

ts t[10];

void init() {
  t[1].a = 1;
  t[1].b = 2;
}

unsigned int main () {
  init();
  return t[1].a;
}
------------------------

Requiring the instructions that define t[1].a in main yields both lines of function init, which is a bit imprecise. Since slicing main on its return value removes the line 't[1].b = 2', the pdg is probably precise enough. Thus the imprecision lies somewhere in Scope.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004685)
yakobowski (manager)
2014-02-12 16:58

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2012-02-03 21:56 yakobowski New Issue
2012-02-03 21:56 yakobowski Status new => assigned
2012-02-03 21:56 yakobowski Assigned To => Anne
2012-02-03 21:56 yakobowski Assigned To Anne => yakobowski
2012-02-04 12:47 svn Checkin
2012-02-04 12:47 svn Status assigned => resolved
2012-02-04 12:47 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:58 yakobowski Note Added: 0004685
2014-02-12 16:58 yakobowski Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker